Bug 594051 - [5.5] SFQ qdisc crashes with limit of 2 packets [rhel-5.3.z]
Summary: [5.5] SFQ qdisc crashes with limit of 2 packets [rhel-5.3.z]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5.5
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 579774
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 12:58 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When an SFQ (Stochastic Fair Queuing) qdisc that limited the queue size to two packets was added to a network interface (for example, via "tc qdisc add"), sending traffic through that interface resulted in a kernel crash. With this update, such a qdisc no longer results in a kernel crash when sending traffic.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 15:17:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0508 normal SHIPPED_LIVE kernel bug fix update 2010-07-07 15:17:06 UTC

Description RHEL Product and Program Management 2010-05-20 12:58:13 UTC
This bug has been copied from bug #579774 and has been proposed
to be backported to 5.3 z-stream (EUS).

Comment 3 Jiri Pirko 2010-05-27 17:42:31 UTC
in 2.6.18-128.18.1.el5

Comment 4 Jaromir Hradilek 2010-06-25 12:00:54 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
When an SFQ (Stochastic Fair Queuing) qdisc that limited the queue size to two packets was added to a network interface (for example, via "tc qdisc add"), sending traffic through that interface resulted in a kernel crash. With this update, such a qdisc no longer results in a kernel crash when sending traffic.

Comment 7 errata-xmlrpc 2010-07-07 15:17:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0508.html


Note You need to log in before you can comment on or make changes to this bug.